Package org.apache.storm.security.auth.kerberos

## Class AutoTGTKrb5LoginModuleTest

- java.lang.Object
- - org.apache.storm.security.auth.kerberos.AutoTGTKrb5LoginModule
  - - org.apache.storm.security.auth.kerberos.AutoTGTKrb5LoginModuleTest

- All Implemented Interfaces:
    `LoginModule`

      public class AutoTGTKrb5LoginModuleTest
      extends AutoTGTKrb5LoginModule

  Custom LoginModule extended for testing.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Principal` | `client` |

    - ### Fields inherited from class org.apache.storm.security.auth.kerberos.AutoTGTKrb5LoginModule

      `kerbTicket`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AutoTGTKrb5LoginModuleTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Principal` | `getKerbTicketClient()` |
    `protected void` | `getKerbTicketFromCache()` |
    `void` | `setKerbTicket​(KerberosTicket ticket)` |

    - ### Methods inherited from class org.apache.storm.security.auth.kerberos.AutoTGTKrb5LoginModule

      `abort, commit, initialize, login, logout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### client

          public Principal client

  - ### Constructor Detail

    - #### AutoTGTKrb5LoginModuleTest

          public AutoTGTKrb5LoginModuleTest()

  - ### Method Detail

    - #### setKerbTicket

          public void setKerbTicket​(KerberosTicket ticket)

    - #### getKerbTicketFromCache

          protected void getKerbTicketFromCache()

      Overrides:
        `getKerbTicketFromCache` in class `AutoTGTKrb5LoginModule`

    - #### getKerbTicketClient

          protected Principal getKerbTicketClient()

      Overrides:
        `getKerbTicketClient` in class `AutoTGTKrb5LoginModule`